/* 
 * $Id: ftp_listener.h,v 1.9 2000/03/29 01:20:31 shane Exp $
 */

#ifndef FTP_LISTENER_H
#define FTP_LISTENER_H

#include <limits.h>
#include <pthread.h>
#include "error.h"
#include "watchdog.h"

#define DEFAULT_FTP_PORT 21

typedef struct {
    int fd;
    int max_connections;
    int num_connections;
    int inactivity_timeout;
    watchdog_t watchdog;
    pthread_mutex_t mutex;
    char dir[PATH_MAX+1];
    int listener_running;
    pthread_t listener_thread;
} ftp_listener_t;

int ftp_listener_init(ftp_listener_t *f, 
                      char *address, 
		      int port, 
		      int max_connections,
		      int inactivity_timeout, 
		      error_t *err);
int ftp_listener_start(ftp_listener_t *f);

#endif /* FTP_LISTENER_H */

